PrefabFiles = {
	"ikaros",
	"examplefloatableitem",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/ikaros.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/ikaros.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/ikaros.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/ikaros.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/ikaros_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/ikaros_silho.xml" ),

    Asset( "IMAGE", "bigportraits/ikaros.tex" ),
    Asset( "ATLAS", "bigportraits/ikaros.xml" ),
	
	Asset( "IMAGE", "images/map_icons/ikaros.tex" ),
	Asset( "ATLAS", "images/map_icons/ikaros.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.ikaros = "Ikaros Angeloid the Uranus Queen"
STRINGS.CHARACTER_NAMES.ikaros = "Ikaros"
STRINGS.CHARACTER_DESCRIPTIONS.ikaros = "n*flammable\n*likes to pet things\n*has a loving bond for watermelons"
STRINGS.CHARACTER_QUOTES.ikaros = "\"may i play master?\""

-- Custom speech strings
STRINGS.CHARACTERS.IKAROS = require "speech_ikaros"

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "ikaros")

AddMinimapAtlas("images/map_icons/ikaros.xml")
AddModCharacter("ikaros")

-- Custom item name
STRINGS.NAMES.EXAMPLEFLOATABLEITEM = "Floaty Thing"
-- Generic description of an item
STRINGS.CHARACTERS.GENERIC.DESCRIBE.EXAMPLEFLOATABLEITEM = "I bet it can float."
